
package net.mcreator.cabinfever.potion;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.effect.MobEffectCategory;
import net.minecraft.world.effect.MobEffect;

import net.mcreator.cabinfever.procedures.CabinFeverEffectTickProcedure;
import net.mcreator.cabinfever.procedures.CabinFeverEffectStartedProcedure;

public class CabinFeverMobEffect extends MobEffect {
	public CabinFeverMobEffect() {
		super(MobEffectCategory.HARMFUL, -6710785);
	}

	@Override
	public String getDescriptionId() {
		return "effect.cabin_fever.cabin_fever";
	}

	@Override
	public void addAttributeModifiers(LivingEntity entity, AttributeMap attributeMap, int amplifier) {
		CabinFeverEffectStartedProcedure.execute(entity);
	}

	@Override
	public void applyEffectTick(LivingEntity entity, int amplifier) {
		CabinFeverEffectTickProcedure.execute(entity);
	}

	@Override
	public boolean isDurationEffectTick(int duration, int amplifier) {
		return true;
	}
}
