package net.mcreator.cabinfever.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.Event;
import net.minecraftforge.event.entity.player.PlayerEvent;

import net.minecraft.world.phys.Vec3;
import net.minecraft.world.phys.Vec2;
import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.entity.Entity;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.network.chat.Component;
import net.minecraft.commands.CommandSourceStack;
import net.minecraft.commands.CommandSource;

import net.mcreator.cabinfever.network.CabinFeverModVariables;

import javax.annotation.Nullable;

@Mod.EventBusSubscriber
public class CabinFeverPlayerFirstSpawnProcedure {
	@SubscribeEvent
	public static void onPlayerLoggedIn(PlayerEvent.PlayerLoggedInEvent event) {
		execute(event, event.getEntity().level, event.getEntity().getX(), event.getEntity().getY(), event.getEntity().getZ(), event.getEntity());
	}

	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		execute(null, world, x, y, z, entity);
	}

	private static void execute(@Nullable Event event, LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		if ((entity.getCapability(CabinFeverModVariables.PLAYER_VARIABLES_CAPABILITY, null).orElse(new CabinFeverModVariables.PlayerVariables())).cabin_fever_risk == -696969) {
			if (world instanceof ServerLevel _level)
				_level.getServer().getCommands().performPrefixedCommand(new CommandSourceStack(CommandSource.NULL, new Vec3(x, y, z), Vec2.ZERO, _level, 4, "", Component.literal(""), _level.getServer(), null).withSuppressedOutput(),
						"give @n written_book{pages:['[\"\",{\"text\":\"WHAT IS THIS?\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nThis is a little survival guide I wrote to hopefully help whoever finds this (you!) in learning about Cabin Fever, and preventing yourself from getting sick with it.\",\"color\":\"reset\"}]','[\"\",{\"text\":\"WHAT IS CABIN FEVER?\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nCabin Fever happens when you stay indoors for too long. I\\'m not sure how it happens, but it makes it near-impossible to sleep, use Elytras/Horses/anything that could make you go faster, as well as some other annoying effects.\",\"color\":\"reset\"}]','[\"\",{\"text\":\"PREVENTATIVE MEASURES\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nTo avoid getting Cabin Fever:\\\\n\\\\n- Spend as much time outside as possible (at least 1/2 of your day)\\\\n- Eat stews to decrease your Cabin Fever risk\",\"color\":\"reset\"}]','[\"\",{\"text\":\"TREATMENT\",\"bold\":true,\"underlined\":true},{\"text\":\"\\\\nIf you\\'ve followed my instructions you won\\'t get sick. But if you do, here\\'s how to treat it:\\\\n\\\\n- Spend one full day outside.\\\\n- Make sure to bring a light & weapons, as well as anything else necessary to stay alive.\",\"color\":\"reset\"}]','{\"text\":\"That should be all the information you need. Good luck out there.\\\\n\\\\n- a survivor\"}'],title:\"Surviving Cabin Fever\",author:\"a survivor\",generation:3}");
		}
	}
}
